All collections in PipelineDeals are paginated.
Any assocations to an object will also be paginated.
pagination format
{
entries: [],
pagination: {
page: 1,
per_page: 200,
total: 200,
url: '/resource',
}
}
| Name | Description |
|---|---|
| entries | An array of resources |
| pagination | The collection's current pagination settings. |
| pagination.page | The current page. |
| pagination.per_page | How many items per page. The default per_page is 100. |
| pagination.total | The number total number of items available for the request. |
| Name | Default | Description |
|---|---|---|
| page | 1 | The page that you want to fetch from the server. For example if page 1 contains deals 1-30, page two will contain deals 31-60. |
| per_page | *100 | How many items per page should the server return. |
* There is a hard limit of 100 items for any request.
curl "https://api.pipelinedeals.com/api/v3/deals.json?page=1&api_key=abc1234"
curl "https://api.pipelinedeals.com/api/v3/deals.json?page=2&api_key=abc1234"